Get sites summary
curl --request GET \
--url https://services.deepsmith.ai/core/api/external/v1/content-map/sites \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.deepsmith.ai/core/api/external/v1/content-map/sites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.deepsmith.ai/core/api/external/v1/content-map/sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"messages": "<string>",
"data": [
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"icon": "<string>",
"is_customer": true,
"pages": 123,
"analysed": 123,
"pending": 123,
"topics_covered": 123,
"stages": {
"AWARENESS": 123,
"CONSIDERATION": 123,
"DECISION": 123,
"NA": 123
}
}
]
}{
"code": 4022,
"messages": "Invalid, revoked or expired API key.",
"data": null
}{
"code": 4023,
"messages": "This API key does not have the scope required for this request.",
"data": {
"required": [
"visibility:read"
],
"missing": [
"visibility:read"
]
}
}Content map
Get sites summary
Your site and each competitor site with page counts, topics covered and buyer stage mix. Requires contentmap:read.
GET
/
content-map
/
sites
Get sites summary
